Loading...
Searching...
No Matches
BALL::AdvancedElectrostatic Class Reference

`#include <BALL/SCORING/COMPONENTS/advElectrostatic.h>`

Inheritance diagram for BALL::AdvancedElectrostatic:

## Public Member Functions

| AdvancedElectrostatic (ScoringFunction *sf, Options &options, ForceFieldParameters &forcefield_parameters)
| AdvancedElectrostatic (ScoringFunction *sf, VanDerWaals *vdw)
double | calculateDielectricConstant (Vector3 &atom1, Vector3 &atom2)
Public Member Functions inherited from BALL::Electrostatic
| Electrostatic (Options &options, ForceFieldParameters &forcefield_parameters)
| Electrostatic (VanDerWaals *vdw)
| ~Electrostatic ()
void | update (const vector< std::pair< Atom *, Atom * > > &pair_vector)
double | updateScore ()
AmberNonBonded * | getAmberNonBonded ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | clear ()
virtual bool | setup ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
Protected Attributes inherited from BALL::Electrostatic
AmberNonBonded * | amber_nb_
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

Definition at line 14 of file advElectrostatic.h.

## Constructor & Destructor Documentation

## AdvancedElectrostatic() [1/2]

BALL::AdvancedElectrostatic::AdvancedElectrostatic | ( | ScoringFunction * | sf,
|  | Options & | options,
|  | ForceFieldParameters & | forcefield_parameters )

## AdvancedElectrostatic() [2/2]

BALL::AdvancedElectrostatic::AdvancedElectrostatic | ( | ScoringFunction * | sf,
|  | VanDerWaals * | vdw )

## Member Function Documentation

## calculateDielectricConstant()

double BALL::AdvancedElectrostatic::calculateDielectricConstant | ( | Vector3 & | atom1,
|  | Vector3 & | atom2 )